Subject: [.plan] Live Webeditor
From: Boris Kraut <[email-masked]>
To: undisclosed-recipients: ;
Date: Tue, 30 Apr 2013 01:25:02 +0200

Vor einiger Zeit habe ich etwas zu den TableTools gesagt, ein
Firefox-Addon, womit jede HTML-Tabelle mit Filter- und Sortier-
Funktionen ausgeruestet wird. Ich find solche Addons praktisch,
weil ich meine Werkzeuge zum Bearbeiten selbst waehlen will und
dabei nicht von den Autoren des jeweiligen Contents abhaengig
sein will -- sonst waeren es ja auch kene Tools, sondern Dienste,
die sich jederzeit aendern koennen.

Ich mach mir gerade ein paar Gedanken zu einem klickbaren HTML-
Editor, der nach dem selben Prinzip funktioniert. Die beiden
wichtigen Stichworte sind da die HTML5-Menu-Elemente, die man
ueber 'type=contextmenu' dazu nutzen kann, um das (native) Kon-
textmenu des Browsers zu erweitern, sowie das schon etwas aeltere
Attribute 'contentEditable=true', das dafuer sorgt, dass man
Elemente ziemlich WYSIWGig auf dem Bildschirm hin- und herschieben
und veraendern kann.